#include "systemc.h"
#include "trace_bca.h"

SC_MODULE(slave_bca){
   //ports
   sc_inslave<int, sc_fullHandshake<int> > dat2;
   
   sc_in_clk clk;
   sc_in<int> rstp;
   
   void slave_f();
   
   int x;
   
   SC_CTOR(slave_bca){
      SC_THREAD(slave_f);
      sensitive_pos << clk;
   }
};
